Edit the plan
curl --request PATCH \
--url https://api.semilattice.ai/v1/simulations/{simulation_id}/plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question_text": "<string>",
"hypothesis_text": "<string>",
"survey_questions": [
{
"question_text": "<string>",
"question_type": "single_choice",
"answer_options": [
"<string>"
],
"insight": "<string>",
"variable_name": "<string>",
"question_text_local": "<string>",
"answer_options_local": [
"<string>"
]
}
],
"question_edits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question_text": "<string>",
"question_type": "<string>",
"answer_options": [
"<string>"
],
"insight": "<string>",
"variable_name": "<string>",
"order": 123,
"question_text_local": "<string>",
"answer_options_local": [
"<string>"
]
}
],
"add_questions": [
{
"question_text": "<string>",
"question_type": "single_choice",
"answer_options": [
"<string>"
],
"insight": "<string>",
"variable_name": "<string>",
"question_text_local": "<string>",
"answer_options_local": [
"<string>"
]
}
],
"delete_question_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"journey_task": {}
}
'import requests
url = "https://api.semilattice.ai/v1/simulations/{simulation_id}/plan"
payload = {
"question_text": "<string>",
"hypothesis_text": "<string>",
"survey_questions": [
{
"question_text": "<string>",
"question_type": "single_choice",
"answer_options": ["<string>"],
"insight": "<string>",
"variable_name": "<string>",
"question_text_local": "<string>",
"answer_options_local": ["<string>"]
}
],
"question_edits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question_text": "<string>",
"question_type": "<string>",
"answer_options": ["<string>"],
"insight": "<string>",
"variable_name": "<string>",
"order": 123,
"question_text_local": "<string>",
"answer_options_local": ["<string>"]
}
],
"add_questions": [
{
"question_text": "<string>",
"question_type": "single_choice",
"answer_options": ["<string>"],
"insight": "<string>",
"variable_name": "<string>",
"question_text_local": "<string>",
"answer_options_local": ["<string>"]
}
],
"delete_question_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"journey_task": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
question_text: '<string>',
hypothesis_text: '<string>',
survey_questions: [
{
question_text: '<string>',
question_type: 'single_choice',
answer_options: ['<string>'],
insight: '<string>',
variable_name: '<string>',
question_text_local: '<string>',
answer_options_local: ['<string>']
}
],
question_edits: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
question_text: '<string>',
question_type: '<string>',
answer_options: ['<string>'],
insight: '<string>',
variable_name: '<string>',
order: 123,
question_text_local: '<string>',
answer_options_local: ['<string>']
}
],
add_questions: [
{
question_text: '<string>',
question_type: 'single_choice',
answer_options: ['<string>'],
insight: '<string>',
variable_name: '<string>',
question_text_local: '<string>',
answer_options_local: ['<string>']
}
],
delete_question_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
journey_task: {}
})
};
fetch('https://api.semilattice.ai/v1/simulations/{simulation_id}/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.semilattice.ai/v1/simulations/{simulation_id}/plan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'question_text' => '<string>',
'hypothesis_text' => '<string>',
'survey_questions' => [
[
'question_text' => '<string>',
'question_type' => 'single_choice',
'answer_options' => [
'<string>'
],
'insight' => '<string>',
'variable_name' => '<string>',
'question_text_local' => '<string>',
'answer_options_local' => [
'<string>'
]
]
],
'question_edits' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'question_text' => '<string>',
'question_type' => '<string>',
'answer_options' => [
'<string>'
],
'insight' => '<string>',
'variable_name' => '<string>',
'order' => 123,
'question_text_local' => '<string>',
'answer_options_local' => [
'<string>'
]
]
],
'add_questions' => [
[
'question_text' => '<string>',
'question_type' => 'single_choice',
'answer_options' => [
'<string>'
],
'insight' => '<string>',
'variable_name' => '<string>',
'question_text_local' => '<string>',
'answer_options_local' => [
'<string>'
]
]
],
'delete_question_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'journey_task' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.semilattice.ai/v1/simulations/{simulation_id}/plan"
payload := strings.NewReader("{\n \"question_text\": \"<string>\",\n \"hypothesis_text\": \"<string>\",\n \"survey_questions\": [\n {\n \"question_text\": \"<string>\",\n \"question_type\": \"single_choice\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"question_edits\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"question_text\": \"<string>\",\n \"question_type\": \"<string>\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"order\": 123,\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"add_questions\": [\n {\n \"question_text\": \"<string>\",\n \"question_type\": \"single_choice\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"delete_question_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"journey_task\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.semilattice.ai/v1/simulations/{simulation_id}/plan")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"question_text\": \"<string>\",\n \"hypothesis_text\": \"<string>\",\n \"survey_questions\": [\n {\n \"question_text\": \"<string>\",\n \"question_type\": \"single_choice\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"question_edits\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"question_text\": \"<string>\",\n \"question_type\": \"<string>\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"order\": 123,\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"add_questions\": [\n {\n \"question_text\": \"<string>\",\n \"question_type\": \"single_choice\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"delete_question_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"journey_task\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.semilattice.ai/v1/simulations/{simulation_id}/plan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"question_text\": \"<string>\",\n \"hypothesis_text\": \"<string>\",\n \"survey_questions\": [\n {\n \"question_text\": \"<string>\",\n \"question_type\": \"single_choice\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"question_edits\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"question_text\": \"<string>\",\n \"question_type\": \"<string>\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"order\": 123,\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"add_questions\": [\n {\n \"question_text\": \"<string>\",\n \"question_type\": \"single_choice\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"delete_question_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"journey_task\": {}\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Simulations
Edit the plan
Edit the generated plan while the simulation is in status planned.
Either replace the whole question set with survey_questions, or change
particular questions with question_edits, add_questions and
delete_question_ids, not both in one call. A replace reissues every
question id and the response says so with question_ids_reissued.
PATCH
/
v1
/
simulations
/
{simulation_id}
/
plan
Edit the plan
curl --request PATCH \
--url https://api.semilattice.ai/v1/simulations/{simulation_id}/plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question_text": "<string>",
"hypothesis_text": "<string>",
"survey_questions": [
{
"question_text": "<string>",
"question_type": "single_choice",
"answer_options": [
"<string>"
],
"insight": "<string>",
"variable_name": "<string>",
"question_text_local": "<string>",
"answer_options_local": [
"<string>"
]
}
],
"question_edits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question_text": "<string>",
"question_type": "<string>",
"answer_options": [
"<string>"
],
"insight": "<string>",
"variable_name": "<string>",
"order": 123,
"question_text_local": "<string>",
"answer_options_local": [
"<string>"
]
}
],
"add_questions": [
{
"question_text": "<string>",
"question_type": "single_choice",
"answer_options": [
"<string>"
],
"insight": "<string>",
"variable_name": "<string>",
"question_text_local": "<string>",
"answer_options_local": [
"<string>"
]
}
],
"delete_question_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"journey_task": {}
}
'import requests
url = "https://api.semilattice.ai/v1/simulations/{simulation_id}/plan"
payload = {
"question_text": "<string>",
"hypothesis_text": "<string>",
"survey_questions": [
{
"question_text": "<string>",
"question_type": "single_choice",
"answer_options": ["<string>"],
"insight": "<string>",
"variable_name": "<string>",
"question_text_local": "<string>",
"answer_options_local": ["<string>"]
}
],
"question_edits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question_text": "<string>",
"question_type": "<string>",
"answer_options": ["<string>"],
"insight": "<string>",
"variable_name": "<string>",
"order": 123,
"question_text_local": "<string>",
"answer_options_local": ["<string>"]
}
],
"add_questions": [
{
"question_text": "<string>",
"question_type": "single_choice",
"answer_options": ["<string>"],
"insight": "<string>",
"variable_name": "<string>",
"question_text_local": "<string>",
"answer_options_local": ["<string>"]
}
],
"delete_question_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"journey_task": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
question_text: '<string>',
hypothesis_text: '<string>',
survey_questions: [
{
question_text: '<string>',
question_type: 'single_choice',
answer_options: ['<string>'],
insight: '<string>',
variable_name: '<string>',
question_text_local: '<string>',
answer_options_local: ['<string>']
}
],
question_edits: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
question_text: '<string>',
question_type: '<string>',
answer_options: ['<string>'],
insight: '<string>',
variable_name: '<string>',
order: 123,
question_text_local: '<string>',
answer_options_local: ['<string>']
}
],
add_questions: [
{
question_text: '<string>',
question_type: 'single_choice',
answer_options: ['<string>'],
insight: '<string>',
variable_name: '<string>',
question_text_local: '<string>',
answer_options_local: ['<string>']
}
],
delete_question_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
journey_task: {}
})
};
fetch('https://api.semilattice.ai/v1/simulations/{simulation_id}/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.semilattice.ai/v1/simulations/{simulation_id}/plan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'question_text' => '<string>',
'hypothesis_text' => '<string>',
'survey_questions' => [
[
'question_text' => '<string>',
'question_type' => 'single_choice',
'answer_options' => [
'<string>'
],
'insight' => '<string>',
'variable_name' => '<string>',
'question_text_local' => '<string>',
'answer_options_local' => [
'<string>'
]
]
],
'question_edits' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'question_text' => '<string>',
'question_type' => '<string>',
'answer_options' => [
'<string>'
],
'insight' => '<string>',
'variable_name' => '<string>',
'order' => 123,
'question_text_local' => '<string>',
'answer_options_local' => [
'<string>'
]
]
],
'add_questions' => [
[
'question_text' => '<string>',
'question_type' => 'single_choice',
'answer_options' => [
'<string>'
],
'insight' => '<string>',
'variable_name' => '<string>',
'question_text_local' => '<string>',
'answer_options_local' => [
'<string>'
]
]
],
'delete_question_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'journey_task' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.semilattice.ai/v1/simulations/{simulation_id}/plan"
payload := strings.NewReader("{\n \"question_text\": \"<string>\",\n \"hypothesis_text\": \"<string>\",\n \"survey_questions\": [\n {\n \"question_text\": \"<string>\",\n \"question_type\": \"single_choice\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"question_edits\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"question_text\": \"<string>\",\n \"question_type\": \"<string>\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"order\": 123,\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"add_questions\": [\n {\n \"question_text\": \"<string>\",\n \"question_type\": \"single_choice\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"delete_question_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"journey_task\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.semilattice.ai/v1/simulations/{simulation_id}/plan")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"question_text\": \"<string>\",\n \"hypothesis_text\": \"<string>\",\n \"survey_questions\": [\n {\n \"question_text\": \"<string>\",\n \"question_type\": \"single_choice\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"question_edits\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"question_text\": \"<string>\",\n \"question_type\": \"<string>\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"order\": 123,\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"add_questions\": [\n {\n \"question_text\": \"<string>\",\n \"question_type\": \"single_choice\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"delete_question_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"journey_task\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.semilattice.ai/v1/simulations/{simulation_id}/plan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"question_text\": \"<string>\",\n \"hypothesis_text\": \"<string>\",\n \"survey_questions\": [\n {\n \"question_text\": \"<string>\",\n \"question_type\": \"single_choice\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"question_edits\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"question_text\": \"<string>\",\n \"question_type\": \"<string>\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"order\": 123,\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"add_questions\": [\n {\n \"question_text\": \"<string>\",\n \"question_type\": \"single_choice\",\n \"answer_options\": [\n \"<string>\"\n ],\n \"insight\": \"<string>\",\n \"variable_name\": \"<string>\",\n \"question_text_local\": \"<string>\",\n \"answer_options_local\": [\n \"<string>\"\n ]\n }\n ],\n \"delete_question_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"journey_task\": {}\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Body
application/json
Response
Successful Response